.incomingcallpopup {
    display: flex;
    /* width: 300px; */
    max-height: 400px;
    flex-direction: column;
    align-items: center;
}

.incomingcallpopup .callerIcon {
    margin: 30px 0;
}

.incomingcallpopup .callerIcon .community-initials {
    height: 150px;
    width: 150px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Metropolis Bold";
    font-size: 70px;
    color: #ffffff;
    letter-spacing: 4.32px;
    padding-top: 10px;
}

.incomingcallpopup .callerIcon .community-icon {
    width: 150px;
    height: 150px;
    background-size: contain;
    background-repeat: no-repeat;
    padding-top: unset;
}

.incomingcallpopup .callerName {
    width: 100%;
    font-family: "Metropolis Bold";
    font-size: 20px;
    line-height: 1.21;
    letter-spacing: 4.32px;
    text-align: center;
    color: #ffffff;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.incomingcallpopup .incomingAudio {
    width: 100%;
    font-family: "Metropolis Regular";
    font-size: 12px;
    line-height: 1.2;
    letter-spacing: 3.6px;
    text-align: center;
    color: #ffffff;
    padding: 10px 0;
}

.incomingcallpopup .buttonsContainer {
    display: flex;
    width: 100%;
    justify-content: space-around;
    margin: 20px;
}

.incomingcallpopup .buttonsContainer .buttonWrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    opacity: 0.9;
    transition: all 0.2s ease-in-out;
}

.incomingcallpopup .buttonsContainer .buttonWrapper:hover {
    opacity: 1;
    transform: scale(1.2);
    transition: all 0.2s ease-in-out;
}

.incomingcallpopup .buttonsContainer .acceptButton {
    width: 55px;
    height: 55px;
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/v2/navigation/accept-icon@3x.png);
    background-size: 55px 55px;
    cursor: pointer;
}

.incomingcallpopup .buttonsContainer .declineButton {
    width: 55px;
    height: 55px;
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/v2/navigation/delete-button@3x.png);
    background-size: 55px 55px;
    cursor: pointer;
}

.incomingcallpopup .buttonsContainer .buttonText {
    font-family: "Metropolis Light";
    font-size: 12px;
    font-weight: 300;
    line-height: 0.94;
    letter-spacing: 3.24px;
    text-align: center;
    color: #ffffff;
    padding-top: 5px;
}

.modal.darkModal .modal-body {
    background-color: #1b1b1b;
    border-radius: 20px;
}

@media only screen and (max-width: 768px) {
    .modal.show.darkModal .modal-dialog {
        width: 100% !important;
        height: 100vh !important;
    }
    .modal-content {
        height: 100%;
    }
}
